# realsense-3d-scanner
3D Scanning Software for intel realsense Depth cameras

## How to start

First create a build folder
```bash
mkdir build && cd build 
```
Then run cmake to create a Makefile
```bash
cmake ..
```

Run make to build the project
```bash
make
```

Execute the compiled project (use sudo when on macOS, see *known issue(s)*)
```bash
./3d-scanner
```


## known issue(s)

On Mac there can occure either segmentation faults or a realsense error, that the program is waiting too long for frames, when running the executable.
Somehow it will work again if you just execute the 3d-scanner-startup-helper often enough (this is basically the realsense hello-world example).
This will also fail a lot with a segmentation faults but after a while it will work again. At least as long as the camera is connected, when reconnecting the error usually appears again.
I am not sure if this Error is Mac specific or wheater I am doing something wrong. However I did not manage to resolve it properly.
If you have any Idea what the reason could be, feel free to contact me.

Another inconvenience I discovered on Mac is, that the executable can only be executed using `sudo`, otherwise it will always fail with a segmentation fault.
